import { _decorator, sp } from 'cc';
import { EDITOR } from 'cc/env';
const { ccclass, menu, inspector, property } = _decorator;

@ccclass
@menu("UI扩展/多语言/UISpine")
@inspector("packages://button/UISpineInspector.js")
export default class UISpine extends sp.Skeleton {
    @property _module: string = '';
    @property _key: string = '';
    @property _defaultAnimation: string = '';

    set keyChange(value: any) {
        this.onLoaded();
    }

    set moduleChange(value: any) {
        this.onLoaded();
    }

    async onLoad() {
        if (!!EDITOR) {
            this.onLoaded();
        }
    }

    onDestroy() {

    }

    public onLoaded() {
        // 各种操作
    }
}