'use strict';

const packageJSON = require('./package.json');
const { join } = require('path');
const { readFileSync } = require('fs');

// 面板 html
exports.template = readFileSync(join(__dirname, './UISpineInspector.html'), 'utf8');

exports.props = {
    target: {
        twoWay: !0,
        type: Object
    }
    , multi: {
        twoWay: !0
        , type: Boolean
    }
}

// messages 对应的方法
exports.methods = {
    T: Editor.T,
    searchClips() {
        Editor.Message.send("scene", "generate_attached_node", this.target.uuid.value);
        
        // Editor.Ipc.sendToPanel("scene", "scene:generate_attached_node", this.target.uuid.value);
    },
    _onKeyBlur() {
        Editor.Message.send('scene', 'set-property', 
        {
            "uuid": this.target.uuid.value, 
            "path": "keyChange", 
            "dump": {
                type: "string", 
                value: ""
            }           
        });

        // Editor.Message.broadcast('scene:set-property', {type: "string", value: ""} );  

        // Editor.Ipc.sendToPanel('scene', 'scene:set-property', {id: this.target.uuid.value, path: "keyChange", type: "string", value: ""});
    },
    _onModuleBlur() {
        // Editor.Message.broadcast('scene:set-property', {type: "string", value: ""} );  

        Editor.Message.send('scene', 'set-property', 
        {
            "uuid": this.target.uuid.value, 
            "path": "moduleChange", 
            "dump": {
                type: "string", 
                value: ""
            }
        });

        // Editor.Ipc.sendToPanel('scene', 'scene:set-property', {id: this.target.uuid.value, path: "moduleChange", type: "string", value: ""});
    },
};